<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: index.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("ALOG") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied"); }

require_once INFUSIONS."sf_admin_log_panel/inc/functions.php";
require_once INCLUDES."bbcode_include.php";
include ADMIN_LOG_ADMIN."nav_admin.php";

if (isset($_POST['cancel'])) {
	redirect(FUSION_SELF.$aidlink);
} elseif (isset($_POST['save_log'])) {
	if (isset($_POST['log_type']) && isnum($_POST['log_type']) && isset($_POST['log_details']) && !empty($_POST['log_details'])) {
		$log_type = $_POST['log_type'];
		$log_status = $_POST['log_status'];
		$log_details = $_POST['log_details'];
		$log_user_cite = $_POST['log_user_cite'];
		$log_public = ((isset($_POST['log_public']) && $_POST['log_public'] == 1) ? 1 : 0);
		if (isset($_GET['action']) && $_GET['action'] == "edit" && isset($_GET['log_id']) && isnum($_GET['log_id'])) {
			$result = dbquery(
				"UPDATE ".DB_ADMIN_LOG." 
				SET log_type='$log_type', log_status='$log_status', log_user_cite='$log_user_cite', log_details='$log_details', log_public='$log_public'
				WHERE log_id='".$_GET['log_id']."'
				LIMIT 1"
			);
		} else {
			$result = dbquery(
				"INSERT INTO ".DB_ADMIN_LOG." (
					log_user,
					log_type,
					log_status,
					log_user_cite,
					log_details,
					log_public,
					log_ip,
					log_timestamp	
				) VALUES (
					'".$userdata['user_id']."',
					'$log_type',
					'$log_status',
					'$log_user_cite',
					'$log_details',
					'$log_public',
					'".USER_IP."',
					'".time()."'
				)"
			);
		}
		redirect(FUSION_SELF.$aidlink);
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
} elseif(isset($_GET['action']) && $_GET['action'] == "delete" && isset($_GET['log_id']) && isnum($_GET['log_id'])) {
	$result = dbquery("DELETE FROM ".DB_ADMIN_LOG." WHERE log_id='".$_GET['log_id']."' LIMIT 1");
	redirect(FUSION_SELF.$aidlink);
} elseif(isset($_GET['action']) && $_GET['action'] == "edit" && isset($_GET['log_id']) && isnum($_GET['log_id'])) {
	$result = dbquery("SELECT * FROM ".DB_ADMIN_LOG." WHERE log_id='".$_GET['log_id']."' LIMIT 1");
	if (dbrows($result)) {
		$data = dbarray($result);
		$log_type = $data['log_type'];
		$log_status = $data['log_status'];
		$log_user_cite = $data['log_user_cite'];
		$log_details = $data['log_details'];
		$log_public = $data['log_public'];
		$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;log_id=".$_GET['log_id'];
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
} else {
	$log_type = "";
	$log_status = "1";
	$log_user_cite = "";
	$log_details = "";
	$log_public = 0;
	$formaction = FUSION_SELF.$aidlink;
}

if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) {
	$rowstart = $_GET['rowstart'];
} else {
	$rowstart = 0;
}

// Check for Categories

	$cat_check = dbarray(dbquery("SELECT * FROM ".DB_ADMIN_LOG_CATS));
	if ($cat_check['log_cat_id'] == 0)  { redirect(ADMIN_LOG_ADMIN."log_cats.php".$aidlink); }

// Input Form
    opentable($locale['admlog_102']);
    echo "<form name='inputform' method='post' action='$formaction'>\n";
    echo "<table cellspacing='0' cellpadding='0' class='center'>\n<tr>\n";
    echo "<td valign='top' class='tbl'>".$locale['admlog_123']."</td>\n";
    echo "<td valign='top' class='tbl'>\n";
    
    $log_cat_list = ""; $sel = "";
	$resulta = dbquery("SELECT log_cat_id, log_cat_name FROM ".DB_ADMIN_LOG_CATS." ORDER BY log_cat_id ASC");
	if (dbrows($resulta) != 0) {
	while ($data = dbarray($resulta)) {
	$sel = ($log_type == $data['log_cat_id'] ? " selected='selected'" : "");
	$log_cat_list .= "<option value='".$data['log_cat_id']."'$sel>".$data['log_cat_name']."</option>\n";
		}
	}
	echo "<select name='log_type' class='textbox' style='width:200px;'>\n".$log_cat_list."</select>";
	echo "&nbsp;<label><input type='checkbox' name='log_public' value='1' class='textbox'".($log_public == 1 ? " checked='checked'" : "")." />&nbsp;".$locale['admlog_103']."</label>";
	echo "</td>\n";
	echo "</tr>\n<tr>\n";

		echo "<td valign='top' class='tbl'>".$locale['admlog_127'].":</td>\n";
		echo "<td valign='top' class='tbl'>";
		if ($log_user_cite == 0) { $member = ""; } else { $member = $log_user_cite; }
		echo "<input type='text' class='textbox' name='log_user_cite' value='".$member."' style='width:100px;'></td>\n"; 
		echo "</td>";
		echo "</tr>\n<tr>\n";
		echo "<td valign='top' class='tbl'>".$locale['admlog_131'].":</td>\n";
		echo "<td valign='top' class='tbl'>\n";
		echo "<select name='log_status' class='textbox'>\n";
		echo "<option value='0'".($log_status == "0" ? " selected" : "").">".$locale['admlog_132']."</option>\n";
		echo "<option value='1'".($log_status == "1" ? " selected" : "").">".$locale['admlog_133']."</option>\n";
		echo "</select>\n";
		echo "</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td valign='top' class='tbl'>".$locale['admlog_104']."</td>\n";
		echo "<td valign='top' class='tbl'><textarea name='log_details' cols='60' rows='5' class='textbox' style='width:600px;'>$log_details</textarea>\n";
		echo display_bbcodes("360px", "log_details")."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td colspan='2' align='center' class='tbl'><br />\n";
		echo "<input type='submit' name='save_log' value='".$locale['admlog_105']."' class='button' />\n";
		echo "<input type='submit' name='cancel' value='".$locale['admlog_106']."' class='button' />\n";
		echo "</td>\n</tr>\n</table>\n</form>\n";
		closetable();

// Log List
       opentable($locale['admlog_120']);
       echo "<table cellspacing='0' cellpadding='0' width='100%'>\n<tr>\n";
       echo "<td class='tbl2'><strong>".$locale['admlog_121']."</strong></td>";
       echo "<td class='tbl2'><strong>".$locale['admlog_131']."</strong></td>";
       echo "<td class='tbl2'><strong>".$locale['admlog_108']."</strong></td>";
       echo "<td class='tbl2'><strong>".$locale['admlog_123']."</strong></td>";
       echo "<td class='tbl2'><strong>".$locale['admlog_104']."</strong></td>";
       echo "<td class='tbl2'><strong>".$locale['admlog_110']."</strong></td>";
       echo "<td class='tbl2'><strong>".$locale['admlog_122']."</strong></td>";
       echo "<td class='tbl2'><strong>".$locale['admlog_100']."</strong></td>";
       echo "</tr>\n";
$result = dbquery(
	"SELECT l.*, u.user_name 
	FROM ".DB_ADMIN_LOG." l
	LEFT JOIN ".DB_USERS." u ON u.user_id=l.log_user
	ORDER BY log_timestamp DESC
	LIMIT $rowstart,20"
);
  $rows = dbcount("(log_id)", DB_ADMIN_LOG);
  if ($rows) {
	while($data = dbarray($result)) {
		echo "<tr>\n";
		echo "<td valign='top' class='tbl1'>".$data['log_id']."</td>\n";
		echo "<td class='tbl1' align='center' valign='top'>".($data['log_status'] == 0 ? $img_open : $img_closed)."</td>\n";
		echo "<td valign='top' class='tbl1'><a href='".ADMIN."members.php".$aidlink."&amp;step=view&amp;user_id=".$data['log_user']."'>".$data['user_name']."</a></td>\n";
		$log_type = $data['log_type'];
		$data_cat = dbarray(dbquery("SELECT * FROM ".DB_ADMIN_LOG_CATS." WHERE log_cat_id = '$log_type'"));
		echo "<td valign='top' class='tbl1' width='100'>".$data_cat['log_cat_name']."</td>\n";
		echo "<td valign='top' class='tbl1'>";
		
		$user_cite = $data['log_user_cite'];
		$data_member = dbarray(dbquery("SELECT user_id, user_name FROM ".DB_USERS." WHERE user_id = '$user_cite'"));
		if ($user_cite !='0') { echo "".$locale['admlog_128']." <a href='".ADMIN."members.php".$aidlink."&amp;step=view&amp;user_id=".$data_member['user_id']."'>".$data_member['user_name']."</a>&nbsp;"; }

		echo "".nl2br(parseubb(parsesmileys($data['log_details'])))."</td>\n";
		echo "<td valign='top' class='tbl1'>".($data['log_public'] == 1 ? $img_public : $img_admin_only)."</td>\n";
		echo "<td valign='top' class='tbl1' width='130'>".showdate("shortdate", $data['log_timestamp'])."</td>\n";
		echo "<td valign='top' class='tbl1' width='100'>\n";
		echo "<a title='".$locale['admlog_124']." ".$locale['admlog_112']." ".$data['log_id']."' href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;log_id=".$data['log_id']."'>";
		echo "".$img_edit."</a>\n";
		echo "<a title='".$locale['admlog_125']." ".$locale['admlog_112']." ".$data['log_id']."' href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;log_id=".$data['log_id']."' onclick=\"return confirm('".$locale['admlog_125']." ".$locale['admlog_112']." ".$data['log_id']."?');\">";
		echo "".$img_delete."</a></td>\n";
		echo "</tr>\n";
	}
} else {
	echo "<tr>\n<td class='tbl1' colspan='6' align='center'>".$locale['admlog_113']."</td>\n</tr>\n";
}
   echo "</table>\n";
   if ($rows > 20) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,20,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
   closetable();

if (file_exists(ADMIN_LOG_INC."version_checker.php")) { include ADMIN_LOG_INC."version_checker.php"; }

require_once THEMES."templates/footer.php";
?>