<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: sf_admin_log_panel.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INFUSIONS."sf_admin_log_panel/infusion_db.php";
require_once INFUSIONS."sf_admin_log_panel/inc/functions.php";
require_once INCLUDES."bbcode_include.php";

openside($locale['admlog_03']);
$result = dbquery(
	"SELECT l.log_timestamp, l.log_details, u.user_id, u.user_name 
	FROM ".DB_ADMIN_LOG." l
	LEFT JOIN ".DB_USERS." u ON u.user_id=l.log_user
	".(!iADMIN ? " WHERE log_public='1'" : "")." 
	ORDER BY log_timestamp DESC 
	LIMIT 5"
);
if (dbrows($result)) {
	while ($data = dbarray($result)) {
		echo "<div class='shoutboxname'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></div>\n";
		echo "<div class='shoutboxdate'>".showdate("shortdate", $data['log_timestamp'])."</div>\n";
		echo "<div class='shoutbox'>".parsesmileys(trimlink($data['log_details'], 40))."</div>\n";
		echo "<br />\n";
	}
} else {
}
echo "<div style='text-align: center;'>\n";
echo "<a href='".INFUSIONS."sf_admin_log_panel/' class='side'>".$locale['admlog_03']."</a>\n";
echo "</div>\n";
closeside();
?>